-- DROP TABLE IF EXISTS `zt_thinkmodel`;
CREATE TABLE IF NOT EXISTS `zt_thinkmodel` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `code` varchar(30) NOT NULL DEFAULT '',
  `thumbnail` varchar(50) NOT NULL DEFAULT '',
  `desc` text NULL,
  `status` varchar(10) NOT NULL DEFAULT 'normal',
  `builtin` tinyint(1) NOT NULL DEFAULT 0,
  `createdBy` varchar(30) NOT NULL DEFAULT '',
  `createdDate` datetime NULL,
  `editedBy` varchar(30) NOT NULL DEFAULT '',
  `editedDate` datetime NULL,
  `deleted` tinyint(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `zt_thinkwizard`;
CREATE TABLE IF NOT EXISTS `zt_thinkwizard` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `market` int(11) unsigned NOT NULL DEFAULT 0,
  `model` varchar(30) NOT NULL DEFAULT '',
  `name` varchar(255) NOT NULL DEFAULT '',
  `thumbnail` varchar(50) NOT NULL DEFAULT '',
  `duration` tinyint(3) unsigned NOT NULL DEFAULT 0,
  `desc` varchar(300) NOT NULL DEFAULT '',
  `introduction` varchar(255) NOT NULL DEFAULT '',
  `background` int(11) NOT NULL DEFAULT 0,
  `blocks` varchar(255) NOT NULL DEFAULT '',
  `suggestion` text NULL,
  `status` varchar(10) NOT NULL DEFAULT 'draft',
  `builtin` tinyint(1) NOT NULL DEFAULT 0,
  `createdBy` varchar(30) NOT NULL DEFAULT '',
  `createdDate` datetime NULL,
  `editedBy` varchar(30) NOT NULL DEFAULT '',
  `editedDate` datetime NULL,
  `publishedBy` varchar(30) NOT NULL DEFAULT '',
  `publishedDate` datetime NULL,
  `offlinedBy` varchar(30) NOT NULL DEFAULT '',
  `offlinedDate` datetime NULL,
  `deleted` tinyint(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `zt_thinkstep`;
CREATE TABLE IF NOT EXISTS `zt_thinkstep` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `wizard` int(11) unsigned NOT NULL DEFAULT 0,
  `run` int(11) unsigned NOT NULL DEFAULT 0,
  `origin` int(11) unsigned NOT NULL DEFAULT 0,
  `parent` int(11) unsigned NOT NULL DEFAULT 0,
  `grade` tinyint(3) unsigned NOT NULL DEFAULT 0,
  `path` varchar(255) NOT NULL DEFAULT '',
  `order` smallint(5) unsigned NOT NULL DEFAULT 0,
  `type` varchar(10) NOT NULL DEFAULT 'node',
  `title` varchar(255) NOT NULL DEFAULT '',
  `desc` text NULL,
  `options` text NULL,
  `answer` text NULL,
  `link` text NULL,
  `createdBy` varchar(30) NOT NULL DEFAULT '',
  `createdDate` datetime NULL,
  `editedBy` varchar(30) NOT NULL DEFAULT '',
  `editedDate` datetime NULL,
  `hidden` tinyint(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `wizard` (`wizard`),
  KEY `grade` (`grade`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `zt_thinkrun`;
CREATE TABLE IF NOT EXISTS `zt_thinkrun` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `market` int(11) unsigned NOT NULL DEFAULT 0,
  `wizard` int(11) unsigned NOT NULL DEFAULT 0,
  `task` int(11) unsigned NOT NULL DEFAULT 0,
  `currentStep` int(11) unsigned NOT NULL DEFAULT 0,
  `name` varchar(255) NOT NULL DEFAULT '',
  `estimate` tinyint(3) unsigned NOT NULL DEFAULT 0,
  `consumed` smallint(3) unsigned NOT NULL DEFAULT 0,
  `progress` float unsigned NOT NULL DEFAULT 0,
  `status` varchar(10) NOT NULL DEFAULT 'doing',
  `conclusion` text NULL,
  `createdBy` varchar(30) NOT NULL DEFAULT '',
  `createdDate` datetime NULL,
  `assignedTo` varchar(30) NOT NULL DEFAULT '',
  `startedBy` varchar(30) NOT NULL DEFAULT '',
  `startedDate` datetime NULL,
  `finishedBy` varchar(30) NOT NULL DEFAULT '',
  `finishedDate` datetime NULL,
  PRIMARY KEY (`id`),
  KEY `market` (`market`),
  KEY `wizard` (`wizard`),
  KEY `task` (`task`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `zt_thinkmodel` (`id`, `name`, `code`, `thumbnail`, `desc`, `status`, `builtin`) VALUES
(1, 'SWOT', 'swot', 'data/thinmory/thumbnail/swot.png', '', 'normal', 1),
(2, 'PEST', 'pest', 'data/thinmory/thumbnail/pest.png', '', 'normal', 1),
(3, 'PESTEL', 'pestel', 'data/thinmory/thumbnail/pestel.png', '', 'normal', 1),
(4, '波特五力', 'pffa', 'data/thinmory/thumbnail/pffa.png', '', 'normal', 1),
(5, '4P营销理论', '4p', 'data/thinmory/thumbnail/4p.png', '', 'normal', 1),
(6, '4P+2营销理论', '4p2', 'data/thinmory/thumbnail/4p2.png', '', 'normal', 1),
(7, '3C战略模型', '3c', 'data/thinmory/thumbnail/3c.png', '', 'normal', 1);
